Package ru.bitel.bgbilling.modules.sorm.server.bean

# Class InternalUser

java.lang.Object
ru.bitel.common.model.ContractId
ru.bitel.bgbilling.modules.sorm.server.bean.InternalUser

All Implemented Interfaces:
  `ContractIdable`

public class InternalUser extends ContractId

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InternalUser()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAddress()`
  `EntityAttrAddress`
  `getAddressStruct()`
  `int`
  `getBgObjectId()`
  `Date`
  `getBirthday()`
  `String`
  `getContractTitle()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `String`
  `getDocumentNumber()`
  `String`
  `getDocumentSerial()`
  `String`
  `getDocumentType()`
  `Date`
  `getDocumentWhenGive()`
  `String`
  `getDocumentWhoGive()`
  `String`
  `getFirstName()`
  `String`
  `getId()`
  `String`
  `getLastName()`
  `String`
  `getMiddleName()`
  `String`
  `getPhoneNumber()`
  `int`
  `getUniqueId()`
  `void`
  `setAddress(String address)`
  `void`
  `setAddressStruct(EntityAttrAddress addressStruct)`
  `void`
  `setBgObjectId(int bgObjectId)`
  `void`
  `setBirthday(Date birthday)`
  `InternalUser`
  `setContractId(int contractId)`
  `void`
  `setContractTitle(String contractTitle)`
  `void`
  `setDateFrom(Date dateFrom)`
  `void`
  `setDateTo(Date dateTo)`
  `void`
  `setDocumentNumber(String documentNumber)`
  `void`
  `setDocumentSerial(String documentSerial)`
  `void`
  `setDocumentType(String documentType)`
  `void`
  `setDocumentWhenGive(Date documentWhenGive)`
  `void`
  `setDocumentWhoGive(String documentWhoGive)`
  `void`
  `setFirstName(String firstName)`
  `void`
  `setId(String id)`
  `void`
  `setLastName(String lastName)`
  `void`
  `setMiddleName(String middleName)`
  `void`
  `setPhoneNumber(String phoneNumber)`

  ### Methods inherited from class ru.bitel.common.model.ContractId

  `getContractId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InternalUser

    public InternalUser()

- ## Method Details

  - ### getId

    public String getId()

  - ### setId

    public void setId(String id)

  - ### getFirstName

    public String getFirstName()

  - ### setFirstName

    public void setFirstName(String firstName)

  - ### getLastName

    public String getLastName()

  - ### setLastName

    public void setLastName(String lastName)

  - ### getMiddleName

    public String getMiddleName()

  - ### setMiddleName

    public void setMiddleName(String middleName)

  - ### getBirthday

    public Date getBirthday()

  - ### setBirthday

    public void setBirthday(Date birthday)

  - ### getDocumentSerial

    public String getDocumentSerial()

  - ### setDocumentSerial

    public void setDocumentSerial(String documentSerial)

  - ### getDocumentNumber

    public String getDocumentNumber()

  - ### setDocumentNumber

    public void setDocumentNumber(String documentNumber)

  - ### getDocumentWhoGive

    public String getDocumentWhoGive()

  - ### setDocumentWhoGive

    public void setDocumentWhoGive(String documentWhoGive)

  - ### getDocumentWhenGive

    public Date getDocumentWhenGive()

  - ### setDocumentWhenGive

    public void setDocumentWhenGive(Date documentWhenGive)

  - ### getAddress

    public String getAddress()

  - ### setAddress

    public void setAddress(String address)

  - ### getAddressStruct

    public EntityAttrAddress getAddressStruct()

  - ### setAddressStruct

    public void setAddressStruct(EntityAttrAddress addressStruct)

  - ### getPhoneNumber

    public String getPhoneNumber()

  - ### setPhoneNumber

    public void setPhoneNumber(String phoneNumber)

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom(Date dateFrom)

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public void setDateTo(Date dateTo)

  - ### setContractId

    public InternalUser setContractId(int contractId)
    Overrides:
      `setContractId` in class `ContractId`

  - ### getContractTitle

    public String getContractTitle()

  - ### setContractTitle

    public void setContractTitle(String contractTitle)

  - ### getDocumentType

    public String getDocumentType()

  - ### setDocumentType

    public void setDocumentType(String documentType)

  - ### setBgObjectId

    public void setBgObjectId(int bgObjectId)

  - ### getBgObjectId

    public int getBgObjectId()

  - ### getUniqueId

    public int getUniqueId()
    Returns:
      уникальный целочисленный ID на случай если не понравится ID в виде строки в формате XXX_XX